<?php
  include_once("config.php");
  require_once("flexacumulado.php");
	
  @$codvendedor = $_GET["codvendedor"];	
  @$codsupervisor = $_GET["codsupervisor"];
  @$padrao_pedido = $_GET["padrao_pedido"];	    
  
  $query =
          "select CODVENDEDOR, NOME, PADRAO_PEDIDO ".
          "from  VENDEDORES ".
          "where SITUACAO = 'A' ".
		  ($codvendedor > 0 ? " and CODVENDEDOR = ".$codvendedor : "").
		  ($codsupervisor > 0 ? " and CODSUPERVISOR = ".$codsupervisor : "");
	  
  $query = ibase_query($conexao, $query) or die(ibase_errmsg());
  $array = array();
  while($row = ibase_fetch_object($query)) {
    $obj = new stdClass();
    $obj->CODVENDEDOR = $row->CODVENDEDOR;
    $obj->NOME = utf8_encode($row->NOME);
	$obj->PADRAO_PEDIDO = $row->PADRAO_PEDIDO;
	
    $query2 = sqlvendedores($row->CODVENDEDOR, "T");
    $query2 = ibase_query($conexao, $query2) or die(ibase_errmsg());
	
	if($padrao_pedido == ""){
		$row2 = ibase_fetch_object($query2);
		if ($row2 != null) {
		  $obj->FLEXVENDA = $row2->VALOR;
		  $obj->FLEXBONIF = $row2->VALORBONIF;
		} else {
		  $obj->FLEXVENDA = 0;
		  $obj->FLEXBONIF = 0;
		}
	}else{
		$encontrou = false;
		while($row2 = ibase_fetch_object($query2)) {
			if($row2->PADRAO_PEDIDO == $padrao_pedido){
				$obj->PADRAO_PEDIDO_FLEX = $row2->PADRAO_PEDIDO;
				$obj->PADRAO_PEDIDO = $padrao_pedido;
				$obj->FLEXVENDA = $row2->VALOR;
				$obj->FLEXBONIF = $row2->VALORBONIF;
				$encontrou = true;
				break;
			}
		}
		if(!$encontrou){
			$obj->PADRAO_PEDIDO_FLEX = $padrao_pedido;
			$obj->FLEXVENDA = 0;
			$obj->FLEXBONIF = 0;
		}
	}
    $array[] = $obj;
  }
  
  if (isset($array) && !empty($array)) {
    $json = json_encode($array);
    print($json);
  }

  if (@json_last_error_msg() != "No error")
    echo json_last_error_msg();
?>